CFPRIME LULTCD                                                          LULTCD      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE LULTCD(IUX,IEBK)                                       LULTCD      3
CD                                                                      LULTCD      4
CD    THIS ROUTINE LOADS THE ULTC DATA INTO THE PERMANENT DATA ARRAY.   LULTCD      5
CD                                                                      LULTCD      6
      INCLUDE 'PARX.INS'                                                LULTCD      7
      INCLUDE 'CNPARX.INS'                                              LULTCD      8
      INCLUDE 'CNMNEW.INS'                                              LULTCD      9
      INCLUDE 'CNLFDA.INS'                                              LULTCD     10
      INCLUDE 'CNULTC.INS'                                              LULTCD     11
      INCLUDE 'CNTMDA.INS'                                              LULTCD     12
      INCLUDE 'CNMDAT.INS'                                              LULTCD     13
      INCLUDE 'CNFLAG.INS'                                              LULTCD     14
C                                                                       LULTCD     15
      LDEB=.FALSE.                                                      LULTCD     16
      JULTC=0                                                           LULTCD     17
C                                                                       LULTCD     18
      DO 100 ITC = 1,NULTC                                              LULTCD     19
C                                                                       LULTCD     20
      IF(JSTULT(ITC).GT.2)GOTO 100                                      LULTCD     21
C                                                                       LULTCD     22
      JULTC=JULTC+1                                                     LULTCD     23
C                                                                       LULTCD     24
      JULTCD(JULTC) = JLN                                               LULTCD     25
      JTLN = JTULTC(ITC)                                                LULTCD     26
C                                                                       LULTCD     27
      IDDAT(JLN+1) = ITDDAT(JTLN+1)                                     LULTCD     28
      IDDAT(JLN+2) = ITDDAT(JTLN+2)                                     LULTCD     29
      IDDAT(JLN+3) = ITDDAT(JTLN+3)                                     LULTCD     30
      IDDAT(JLN+4) = ITDDAT(JTLN+4)                                     LULTCD     31
      IDDAT(JLN+5) = ITDDAT(JTLN+5)                                     LULTCD     32
      IDDAT(JLN+6) = ITDDAT(JTLN+6)                                     LULTCD     33
C                                                                       LULTCD     34
      DDAT(JLN+7) = TDDAT(JTLN+7)                                       LULTCD     35
      DDAT(JLN+8) = TDDAT(JTLN+8)                                       LULTCD     36
      DDAT(JLN+9) = TDDAT(JTLN+9)                                       LULTCD     37
      DDAT(JLN+10)= TDDAT(JTLN+10)                                      LULTCD     38
      DDAT(JLN+11)= TDDAT(JTLN+11)                                      LULTCD     39
      DDAT(JLN+12)= TDDAT(JTLN+12)                                      LULTCD     40
C                                                                       LULTCD     41
      DDAT(JLN+13)= TDDAT(JTLN+13)                                      LULTCD     42
      DDAT(JLN+14)= TDDAT(JTLN+14)                                      LULTCD     43
      DDAT(JLN+15)= TDDAT(JTLN+15)                                      LULTCD     44
      DDAT(JLN+16)= TDDAT(JTLN+16)                                      LULTCD     45
      DDAT(JLN+17)= TDDAT(JTLN+17)                                      LULTCD     46
      DDAT(JLN+23)= TDDAT(JTLN+23)                                      LULTCD     47
      DDAT(JLN+24)= TDDAT(JTLN+24)                                      LULTCD     48
C                                                                       LULTCD     49
      JLN = JLN+24                                                      LULTCD     50
C                                                                       LULTCD     51
 100  CONTINUE                                                          LULTCD     52
C                                                                       LULTCD     53
      NULTC=JULTC                                                       LULTCD     54
C                                                                       LULTCD     55
      RETURN                                                            LULTCD     56
      END                                                               LULTCD     57
